autoconf
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

error with this portion of configure


From: joseph speigle
Subject: error with this portion of configure
Date: Mon, 19 Jul 2004 09:59:31 -0500
User-agent: Mutt/1.2.5i

hi,
trying to install gnotime from sourceforge tarball and running configure gives 
seemingly improper result for the following test:

  12526         if $PKG_CONFIG --exists "libgtkhtml-3.1 >= 
$LIBGTKHTML_REQUIRED" ; then
  12527             echo "$as_me:$LINENO: result: yes" >&5
  12528 echo "${ECHO_T}yes" >&6
  12529             succeeded=yes
  12530

(some line numbers on the left)

full portion of that part of configure script at end of mail.

running from commandline gives proper responde returned $? of 1 as here:

address@hidden joe]$ sudo su
address@hidden joe]# pkg-config --exists "libgtkhtml-3.1 >= 3.0.0"
address@hidden joe]# echo $?
1
address@hidden joe]#

however, configure script dies like this:
-------------------------------------------------------

checking for libgtkhtml-3.1 >= 3.0.0... Package libgtkhtml-3.1 was not found in 
the pkg-config search path.
Perhaps you should add the directory containing `libgtkhtml-3.1.pc'
to the PKG_CONFIG_PATH environment variable
No package 'libgtkhtml-3.1' found
 
configure: error: Library requirements (libgtkhtml-3.1 >= 3.0.0) not met; 
consider adjusting the PKG_CONFIG_PATH environment variable if your libraries 
are in a nonstandard prefix so pkg-config can find them.


-------------------------------------------------------

is there an explanation for this behavior? maybe, something outside the box?

joe speigle
thanks@@@@@!!!!!!!!




--------------full configure section --------------------------------
  if test "$PKG_CONFIG" = "no" ; then
     echo "*** The pkg-config script could not be found. Make sure it is"
     echo "*** in your path, or set the PKG_CONFIG environment variable"
     echo "*** to the full path to pkg-config."
     echo "*** Or see http://www.freedesktop.org/software/pkgconfig to get 
pkg-config."
  else
     PKG_CONFIG_MIN_VERSION=0.9.0
     if $PKG_CONFIG --atleast-pkgconfig-version $PKG_CONFIG_MIN_VERSION; then
        echo "$as_me:$LINENO: checking for libgtkhtml-3.1 >= 
$LIBGTKHTML_REQUIRED" >&5
echo $ECHO_N "checking for libgtkhtml-3.1 >= $LIBGTKHTML_REQUIRED... $ECHO_C" 
>&6

        if $PKG_CONFIG --exists "libgtkhtml-3.1 >= $LIBGTKHTML_REQUIRED" ; then
            echo "$as_me:$LINENO: result: yes" >&5
echo "${ECHO_T}yes" >&6
            succeeded=yes

            echo "$as_me:$LINENO: checking LIBGTKHTML_CFLAGS" >&5
echo $ECHO_N "checking LIBGTKHTML_CFLAGS... $ECHO_C" >&6
            LIBGTKHTML_CFLAGS=`$PKG_CONFIG --cflags "libgtkhtml-3.1 >= 
$LIBGTKHTML_REQUIRED"`
            echo "$as_me:$LINENO: result: $LIBGTKHTML_CFLAGS" >&5
echo "${ECHO_T}$LIBGTKHTML_CFLAGS" >&6

            echo "$as_me:$LINENO: checking LIBGTKHTML_LIBS" >&5
echo $ECHO_N "checking LIBGTKHTML_LIBS... $ECHO_C" >&6
            LIBGTKHTML_LIBS=`$PKG_CONFIG --libs "libgtkhtml-3.1 >= 
$LIBGTKHTML_REQUIRED"`
            echo "$as_me:$LINENO: result: $LIBGTKHTML_LIBS" >&5
echo "${ECHO_T}$LIBGTKHTML_LIBS" >&6
        else
            LIBGTKHTML_CFLAGS=""
            LIBGTKHTML_LIBS=""
            ## If we have a custom action on failure, don't print errors, but
            ## do set a variable so people can do so.
            LIBGTKHTML_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout 
--print-errors "libgtkhtml-3.1 >= $LIBGTKHTML_REQUIRED"`
            echo $LIBGTKHTML_PKG_ERRORS
        fi



     else
        echo "*** Your version of pkg-config is too old. You need version 
$PKG_CONFIG_MIN_VERSION or newer."
        echo "*** See http://www.freedesktop.org/software/pkgconfig";
     fi
  fi

  if test $succeeded = yes; then
     :
  else
     { { echo "$as_me:$LINENO: error: Library requirements (libgtkhtml-3.1 >= 
$LIBGTKHTML_REQUIRED) not met; consider adjusting the PKG_CONFIG_PATH 
environment variable if your libraries are in a nonstandard prefix so 
pkg-config can find them." >&5
echo "$as_me: error: Library requirements (libgtkhtml-3.1 >= 
$LIBGTKHTML_REQUIRED) not met; consider adjusting the PKG_CONFIG_PATH 
environment variable if your libraries are in a nonstandard prefix so 
pkg-config can find them." >&2;}
   { (exit 1); exit 1; }; }
  fi













reply via email to

[Prev in Thread] Current Thread [Next in Thread]